SrcDir  = :
ObjDir  = :objs:
App		= Darts

Sources = 						¶
		{SrcDir}uGlobals.p		¶
		{SrcDir}uUtils.p		¶
		{SrcDir}uWindow.p		¶
		{SrcDir}uMenu.p			¶
		{SrcDir}uEvent.p		¶
		{SrcDir}Darts.p


Objects = 						¶
		{ObjDir}uGlobals.p.obj	¶
		{ObjDir}uUtils.p.obj	¶
		{ObjDir}uWindow.p.obj	¶
		{ObjDir}uMenu.p.obj		¶
		{ObjDir}uEvent.p.obj	¶
		{ObjDir}Darts.p.obj

{App} Ä		{ObjDir}{App}.Load {ObjDir}{App}.Res
	delete {App} -i
	duplicate -y -d {ObjDir}{App}.load p.{App}
	duplicate -y -r {ObjDir}{App}.res p.{App}
    duplicateiigs -y -mac p.{APP} :

{ObjDIR}{App}.res		Ä						¶
							{App}.r
	reziigs {App}.r -o {ObjDir}{App}.res


{ObjDir}{App}.Load ÄÄ 		{Objects}
	LinkIIGS ¶
		"{PIIGSLibraries}"PStart.obj	¶
		{Objects} ¶
		-lib "{PIIGSLibraries}"PLib	¶
		-o {ObjDir}{App}.Load
		

{ObjDir}Darts.p.obj 		Ä 						¶
							Darts.p				¶
							uevent.p
	pascaliigs -r -saddr Darts.p -o {ObjDir}

{ObjDir}uEvent.p.obj 	Ä 						¶
							uEvent.p			¶
							uEvent.inc.p		¶
							uWindow.p			¶
							uMenu.p				¶
							uUtils.p			¶
							uGlobals.p	
	pascaliigs -r -saddr uEvent.p -o {ObjDir}

{ObjDir}uWindow.p.obj 	Ä						¶
							uWindow.p			¶
							uWindow.inc.p		¶
							uUtils.p	 		¶
							uGlobals.p	
	pascaliigs -r -saddr uWindow.p -o {ObjDir}

{ObjDir}uMenu.p.obj 	Ä						¶
							uMenu.p				¶
							uMenu.inc.p			¶
							uUtils.p	 		¶
							uGlobals.p	
	pascaliigs -r -saddr uMenu.p -o {ObjDir}

{ObjDir}uUtils.p.obj 	Ä						¶
							uUtils.p			¶
							uUtils.inc.p
	pascaliigs -r -saddr uUtils.p -o {ObjDir}

{ObjDir}uGlobals.p.obj 	Ä						¶
							uGlobals.p			¶
							uGlobals.inc.p	
	pascaliigs -r -saddr uGlobals.p -o {ObjDir}


